# -*- coding: utf-8 -*-
"""
Created on Mon May 22 16:06:30 2017

@author: hector
"""

# Config init
# Read configuration file
import configparser
import os.path
import sys


class Configuration(object):
    def __init__(self, cp):
        self._cp = cp

    def section(self, section):
        dict1 = {}
        options = self._cp.options(section)
        for option in options:
            try:
                dict1[option] = self._cp.get(section, option)
                if dict1[option] == -1:
                    print("skip: %s" % option)
            except Exception:
                print("exception on %s!" % option)
                dict1[option] = None
        return dict1


def read(cfgs) -> Configuration:
    """ read configuration from an iterable of files """
    cp = configparser.ConfigParser()

    for cfg in cfgs:
        if os.path.isfile(cfg):
            cp.read(cfg)
            break
    if len(cp.sections()) == 0:
        print("No valid configuration file found.")
        sys.exit(1)
    return Configuration(cp)
